## debianutils 1.9

=== Makefile ===
CFLAGS=-O2 -g -Wall
TARGETS=mktemp run-parts tempfile

all:	$(TARGETS)

clean:
	$(RM) $(TARGETS) $(patsubst %, %.o, $(TARGETS))

## debianutils 1.3

=== debian/changelog ===
debianutils (1.3) unstable; urgency=low

  * New source format.
  * installkernel.8: fixed typo, bug #3511.
  * which: fixed quoting problem, bug #4363

 -- Guy Maor <maor@ece.utexas.edu>  Mon, 30 Sep 1996 16:26:25 -0500

debianutils (1.2-3) unstable; urgency=low

  * installkernel: Fixed silly bug.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 08 Jun 1996 22:38:50 -0500

debianutils (1.2-2) unstable; urgency=low

  * installkernel.8: Improved it, fixes bug 2887
  * debian.rules: Changed package name to debianutils (with a
    Conflict,Replaces debian-utils)
  * which: Fixed to print paths when arg is a shell builtin
  * mkboot: Can specify kernel to use with argument.  Defaults to
    /boot/vmlinuz.
  * run-parts.c: Added --verbose option from Austin Donnelly
    <and1000@cam.ac.uk>.

 -- Guy Maor <maor@ece.utexas.edu>  Wed, 05 Jun 1996 06:15:25 -0500

debianutils (1.2-1) unstable; urgency=low

  * Added priorty and replaces cron (<=3.0pl1-31)
  * savelog{,.8}: Savelog moved in from cron.  I also wrote a man-page.

 -- Guy Maor <maor@ece.utexas.edu>  Thu, 25 Apr 1996 04:41:47 -0500

debianutils (1.1-2) unstable; urgency=low

 * run-parts.c (run_part): silly bug with return code reporting.

 -- Guy Maor <maor@ece.utexas.edu>  Sat, 20 Apr 1996 05:15:08 -0500

debianutils (1.1-1) unstable; urgency=low

  * Initial release
  * mkboot: Rewrote from scratch, fixes Bugs 918, 1520, 1521
  * debian.control: Added 'Section: base'
  * run-parts.c: Now skips over directories, fixes Bug 2244

 -- Guy Maor <maor@ece.utexas.edu>  Thu, 18 Apr 1996 19:54:33 -0500

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: debianutils
Section: base
Priority: required
Maintainer: Guy Maor <maor@debian.org>
Standards-Version: 2.1.0.0

Package: debianutils
Architecture: any
Depends: ${shlibs:Depends}
Section: base
Priority: required
Replaces: miscutils, cron (<=3.0pl1-31), debian-utils
Conflicts: debian-utils
Description: Miscellaneous utilities specific to Debian.
 Debianutils includes installkernel mkboot run-parts savelog which.

=== debian/rules ===
#! /usr/bin/make -f

package = debianutils

build:
	$(checkdir)
	gcc -O2 -o run-parts run-parts.c
	touch build

clean:
	$(checkdir)
	-rm -rf build *.o run-parts *~ debian/tmp debian/*~ debian/files* \
	  debian/substvars

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d -g root -m 755 -o root \
	  debian/tmp/{DEBIAN,bin,sbin,usr/{bin,sbin,man/man8,doc/$(package)}}
	install -s -g root -m 755 -o root run-parts debian/tmp/bin
	install -g root -m 755 -o root installkernel debian/tmp/sbin
	install -g root -m 755 -o root mkboot debian/tmp/usr/sbin
	install -g root -m 755 -o root which debian/tmp/usr/bin
	install -g root -m 755 -o root savelog debian/tmp/usr/bin
	install -g root -m 644 -o root installkernel.8 mkboot.8 run-parts.8 \
	  savelog.8 debian/tmp/usr/man/man8
	install -g root -m 755 -o root debian/preinst debian/tmp/DEBIAN
	install -g root -m 644 -o root debian/changelog \
	  debian/tmp/usr/doc/$(package)/changelog.Debian
	gzip -9 debian/tmp/usr/man/man8/* debian/tmp/usr/doc/$(package)/*
	install -g root -m 644 -o root debian/copyright \
	  debian/tmp/usr/doc/$(package)
	dpkg-shlibdeps run-parts
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f run-parts.c -a -f debian/rules
endef

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## debianutils 1.8.9

=== debian/changelog ===
debianutils (1.8.9) stable; urgency=HIGH

  * Recompiled for bo to get mktemp and tempfile. fixes #22385.

 -- Christian Hudon <chrish@debian.org>  Web, 13 May 1998 22:40:00 -0400

debianutils (1.9) frozen unstable; urgency=high

  * run-parts: close unused fd's to prevent hang. fixes: #20678.	
  * run-parts: flush buffers after printing message. fixes: #20287.
  * run-parts: fix error message. fixes: #19741.
  * mktemp manpage corrections. fixes: #20224, #20225.

 -- Guy Maor <maor@ece.utexas.edu>  Sun,  5 Apr 1998 14:46:17 -0700

debianutils (1.8) unstable; urgency=low

  * Strip binaries.
  * Added sensible-pager.1

 -- Guy Maor <maor@ece.utexas.edu>  Fri, 13 Mar 1998 02:43:11 -0800

debianutils (1.7) unstable; urgency=low

  * Fixed tempfile --help. fixes: #13874
  * savelog, installkernel use /bin/sh. fixes: #15171, #15872
  * Clarify run-parts.8. fixes: #16865
  * Added --report ro runparts. fixes: #9965
  * Improved installkernel, inspired by David ROCHER <rocher@easynet.fr>.
    fixes: #14951
  * Added mktemp. fixes: 15947.

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 15 Feb 1998 03:01:04 -0800

debianutils (1.6) unstable; urgency=low

  * Fixed which for filenames with dash (#11625).
  * Fixed mkboot so always removes directory (#10048).
  * Compiled with libc6 (#11671).
  * New commands: tempfile, sensible-editor, sensible-pager (#12161).
  * savelog: add -p option (#9211), ln and mv logfile to prevent race (#10999)

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 24 Aug 1997 20:23:13 -0500

debianutils (1.5) frozen unstable; urgency=low

  * Improved which, added which.1 (#7435).
  * Fixed includes in run-parts (#7660, #8231, #8748).
  * Fixed savelog.8 (#9777).

 -- Guy Maor <maor@ece.utexas.edu>  Thu, 15 May 1997 01:01:49 -0500

debianutils (1.4) unstable; urgency=low

  * installkernel: fixed bug #6395 - /boot/vmlinuz.old link is broken when
    recompiling a kernel.
  * mkboot: fixed bug #6227 - mkboot recovers better from errors

 -- Guy Maor <maor@ece.utexas.edu>  Tue, 7 Jan 1997 12:03:51 -0600

## debianutils 1.10

=== debian/changelog ===
debianutils (1.10) unstable; urgency=low

  * Corrections to tempfile.1, fixes: #20785, #22347.
  * Corrections to mktemp.1, fixes: #20814.
  * Fix mkboot's lilo.conf when making boot disk, fixes: #22831.
  * Turn set -x off (oops!), fixes: #23114.
  * run-parts: fix error message, fixes: #24232.
  * savelog: don't destroy .0 file timestamps, fixes: #21373.

 -- Guy Maor <maor@ece.utexas.edu>  Sun, 16 Aug 1998 15:28:57 -0700

=== debian/control ===
Source: debianutils
Section: base
Priority: required
Maintainer: Guy Maor <maor@debian.org>
Standards-Version: 2.4.0.0

Package: debianutils
Architecture: any
Pre-Depends: ${shlibs:Depends}
Section: base
Essential: yes
Replaces: miscutils, cron (<=3.0pl1-31), debian-utils
Conflicts: debian-utils
Description: Miscellaneous utilities specific to Debian.
 Debianutils includes installkernel mkboot mktemp run-parts savelog
 sensible-editor sensible-pager tempfile which.

=== debian/rules ===
#! /usr/bin/make -f

package = debianutils
CC = gcc
STRIP = strip
SHELL = /bin/bash

build:
	$(checkdir)
	$(MAKE)

clean:
	$(checkdir)
	$(MAKE) clean
	$(RM) -r debian/{tmp*,files*,substvars}
	find . -name '*~' -print0 | xargs -0 rm -f

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/{DEBIAN,bin,sbin,usr/{bin,sbin,man/man{1,8},doc/$(package)}}
	install -s run-parts tempfile mktemp debian/tmp/bin
	install which savelog sensible-{editor,pager} debian/tmp/usr/bin
	install installkernel debian/tmp/sbin
	install mkboot debian/tmp/usr/sbin
	install -m644 installkernel.8 mkboot.8 run-parts.8 savelog.8 \
	  debian/tmp/usr/man/man8
	install -m644 which.1 tempfile.1 sensible-editor.1 mktemp.1 \
	  debian/tmp/usr/man/man1
	ln -s sensible-editor.1.gz debian/tmp/usr/man/man1/sensible-pager.1.gz
	install -m644 debian/changelog debian/tmp/usr/doc/$(package)
	find debian/tmp/usr/{man/man{1,8},doc/${package}} -type f | \
	  xargs gzip -9
	install -m644 debian/copyright debian/tmp/usr/doc/$(package)
	install debian/preinst debian/tmp/DEBIAN/
	dpkg-shlibdeps run-parts tempfile mktemp
	dpkg-gencontrol
	dpkg --build debian/tmp ..

define checkdir
	test -f run-parts.c -a -f debian/rules
endef

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile

## debianutils 1.13.3

=== debian/changelog ===
debianutils (1.13.3) frozen unstable; urgency=medium

  * Non-maintainer upload.
  * Release Manager: this fixes RC bug #59121.
  * run-parts.c: Added patch by Ingo Saitz <Ingo.Saitz@stud.uni-hannover.de>
  to correctly catch defunct children (this will fix #59121,#57464)

 -- Steve Greenland <stevegr@debian.org>  Sun,  2 Apr 2000 13:53:21 -0500

debianutils (1.13.2) unstable; urgency=low

  * Non-maintainer release.
  * debian/control: Replaces tetex-bin (<< 1.0.6-1.1).
    (closes:Bug#51286)
  * readlink.c: Add stupid PATH_MAX kluge until I have time to
    fix it properly.

 -- Joel Klecker <espy@debian.org>  Tue,  7 Dec 1999 09:52:08 -0800

debianutils (1.13.1) unstable; urgency=low

  * Non-maintainer release.
  * Add readlink (from OpenBSD).
  * debian/control:
    - Replaces tetex-bin.
    - Update Standards-Version to 3.1.0.
  * debian/rules:
    - Use /usr/share/man and /usr/share/doc
      (add postinst and preinst for /usr/doc symlink).
    - Call dpkg-gencontrol with -isp.

 -- Joel Klecker <espy@debian.org>  Mon,  8 Nov 1999 11:42:08 -0800

debianutils (1.13) unstable; urgency=low

  * fix -n segfault, closes: #43942, #44547.

 -- Guy Maor <maor@debian.org>  Sun, 12 Sep 1999 16:29:16 -0700

debianutils (1.12) unstable; urgency=low

  * mkboot: search for lilo signature in first 16 bytes, closes: #41636,
    #33750
  * mkboot: fix simple typo, closes: #33571
  * mkboot: use TMPDIR, closes: #36273
  * tempfile: default permission is 0600, closes: #42836
  * tempfile: add --suffix option, closes: #32653.
  * savelog.8: be clear about file deletion, closes: #41597.
  * hurd patch, closes: #39126.
  * fix core on --test invaliddir, closes: #37885.

 -- Guy Maor <maor@debian.org>  Sun, 29 Aug 1999 17:29:34 -0700

debianutils (1.11) unstable; urgency=low

  * Fixed examples in mktemp.1, closes: #27428.
  * installkernel - don't run psupdate as it's obsolete, closes: #29879.
  * savelog - be POSIX, closes: #31780.
  * make interactive on no arguments, closes: #40671, #43012.
  * don't depend on perl-base, closes: #42543.

 -- Guy Maor <maor@debian.org>  Fri, 29 Jan 1999 01:17:37 -0800

=== debian/control ===
Source: debianutils
Section: base
Priority: required
Maintainer: Guy Maor <maor@debian.org>
Standards-Version: 3.1.0

Package: debianutils
Architecture: any
Pre-Depends: ${shlibs:Depends}
Section: base
Essential: yes
Replaces: miscutils, cron (<=3.0pl1-31), debian-utils, tetex-bin (<< 1.0.6-1.1)
Conflicts: debian-utils
Description: Miscellaneous utilities specific to Debian.
 Debianutils includes installkernel mkboot mktemp readlink run-parts savelog
 sensible-editor sensible-pager tempfile which.

=== debian/rules ===
#! /usr/bin/make -f

package = debianutils
CC = gcc
STRIP = strip
SHELL = /bin/bash

build:
	$(checkdir)
	$(MAKE)

clean:
	$(checkdir)
	$(MAKE) clean
	$(RM) -r debian/{tmp*,files*,substvars} debianutils*
	find . -name '*~' -print0 | xargs -0 rm -f

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/{DEBIAN,bin,sbin,usr/{bin,sbin,share/man/man{1,8},share/doc/$(package)}}
	install -s readlink run-parts tempfile mktemp debian/tmp/bin
	install which savelog sensible-{editor,pager} debian/tmp/usr/bin
	install installkernel debian/tmp/sbin
	install mkboot debian/tmp/usr/sbin
	install -m644 installkernel.8 mkboot.8 run-parts.8 savelog.8 \
	  debian/tmp/usr/share/man/man8
	install -m644 which.1 tempfile.1 sensible-editor.1 mktemp.1 readlink.1 \
	  debian/tmp/usr/share/man/man1
	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-pager.1.gz
	install -m644 debian/changelog debian/tmp/usr/share/doc/$(package)
	find debian/tmp/usr/share/{man/man{1,8},doc/${package}} -type f | \
	  xargs gzip -9
	install -m644 debian/copyright debian/tmp/usr/share/doc/$(package)
	install -m755 debian/preinst debian/tmp/DEBIAN/
	install -m755 debian/prerm debian/tmp/DEBIAN/
	install -m755 debian/postinst debian/tmp/DEBIAN/
	dpkg-shlibdeps readlink run-parts tempfile mktemp
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

define checkdir
	test -f run-parts.c -a -f debian/rules
endef

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot build

# Local Variables:
# mode:Makefile

## debianutils 1.16.2woody1

=== Makefile ===
CFLAGS=-O2 -g -Wall
TARGETS=mktemp readlink run-parts tempfile

all:	$(TARGETS)

clean:
	$(RM) $(TARGETS) $(addsuffix .o,$(TARGETS))

=== debian/changelog ===
debianutils (1.16.2woody1) stable; urgency=high

  * Backport of Ian Zimmerman's run-parts program output loss
    patch, which fixes zombie problem.  closes: #184710.

 -- Clint Adams <schizo@debian.org>  Sat, 10 May 2003 11:11:50 -0400

debianutils (1.16.2woody0) stable; urgency=high

  * Backport for woody.  closes: #172200.

 -- Clint Adams <schizo@debian.org>  Mon,  9 Dec 2002 16:54:18 -0500

debianutils (1.16.2) woody-proposed-updates unstable; urgency=high

  * Non-maintainer upload
  * Properly fix infinite busy-loop using patch from Bruce Perens.
    Closes: Bug#145278

 -- Wichert Akkerman <wakkerma@debian.org>  Sun,  5 May 2002 16:30:35 +0200

debianutils (1.16.1) unstable; urgency=medium

  * Non-maintainer upload
  * Apply patch from Garth Mollett to fix race in the select handling:
    on SMP machines the child process may have finished when we hit the select
    and we could end up waiting forever. Closes: Bug#114864,#132539

 -- Wichert Akkerman <wakkerma@debian.org>  Fri, 26 Apr 2002 14:47:45 +0200

debianutils (1.16) unstable; urgency=low

  * installkernel: honor INSTALL_PATH. closes: #50117, #129195, #134176
  * installkernel: copy .config. closes: #116593
  * mkboot: look for GRUB. closes: #98262, #116592
  * mkboot: call the boot floppy kernel vmlinuz. closes: #130889
  * mkboot: default kernel is /vmlinuz. closes: #125722
  * mkboot: cd later so relative path works. closes: #134594
  * debian/rules: test for id 0. closes: #104217
  * run-parts: make --test less verbose. closes: #113293
  * mktemp: update to current BSD. closes: #61718, #61026, #104226
  * integrate NMU changes. closes: #106829, #131719

 -- Guy Maor <maor@debian.org>  Mon, 18 Feb 2002 23:20:42 -0600

debianutils (1.15.2) unstable; urgency=low

  * NMU
  * fix the typo introduced by the last NMU (closes: #131376, #106829) 
    $filaname -> $filename

 -- Junichi Uekawa <dancer@debian.org>  Fri,  1 Feb 2002 01:04:38 +0900

debianutils (1.15.1) unstable; urgency=low

  * NMU to fix serious-severity bug.
  * savelog:
    - Use touch, chown, etc, instead of cp, when used with -p. (closes: #106829)

 -- Daniel Stone <DanielS@esd.nec.com.au>  Mon, 28 Jan 2002 07:09:23 +1100

debianutils (1.15) unstable; urgency=low

  * Maintainer back to me.
  * mkboot: fix image= line when making lilo boot disk, closes: #69972, #55087.
  * mkboot: add -r option to specify alternate root partition, closes: #69973.
  * installkernel.8: add explanation of /sbin instead of /usr/sbin,
    closes: #59915.
  * run-parts: add --arg option to pass arguments: closes: #61736.
  * readlink.1: elaborate on -f behavior, closes: #71630.

 -- Guy Maor <maor@debian.org>  Fri, 19 Jan 2001 09:42:32 -0800

debianutils (1.14) unstable; urgency=low

  * New maintainer.
  * debian/copyright: update and fix location of GPL.
  * debian/prerm: don't use $0 remove /usr/doc/ link on upgrade too.
  * debian/control (Standards-Version): bump to 3.2.1.

 -- James Troup <james@nocrew.org>  Tue,  5 Dec 2000 22:29:21 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: required
 Maintainer: Guy Maor <maor@debian.org>
-Standards-Version: 3.1.0
+Standards-Version: 3.2.1
 
 Package: debianutils
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -50,9 +50,10 @@
 
 checkroot:
 	$(checkdir)
-	test root = "`whoami`"
+	test 0 = `id -u`
 
 .PHONY: binary binary-arch binary-indep clean checkroot build
 
 # Local Variables:
 # mode:Makefile
+# End:

## debianutils 2.7

=== debian/changelog ===
debianutils (2.7) unstable; urgency=medium

  * run-parts.c: change -v to mean --verbose instead of --version,
    and -V to mean --version.  Print short forms in the usage.
    closes: #232650.
  * run-parts.8: document short options in OPTIONS section.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Feb 2004 11:42:11 -0500

debianutils (2.6.4) unstable; urgency=medium

  * installkernel: add path to mkboot invocation (fix from
    Alan Mimms).  closes: #201232.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Feb 2004 11:26:36 -0500

debianutils (2.6.3) unstable; urgency=medium

  * mkboot: add elilo support (patch from Matthew Wilcox).
    closes: #234557.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Feb 2004 10:57:40 -0500

debianutils (2.6.2) unstable; urgency=medium

  * mkboot: remove spaces from variable assignment.  closes: #225079.

 -- Clint Adams <schizo@debian.org>  Tue,  6 Jan 2004 20:48:29 -0500

debianutils (2.6.1) unstable; urgency=low

  * savelog.8: add --list, --reverse, --, to SYNOPSIS.  closes: #219981.

 -- Clint Adams <schizo@debian.org>  Wed, 12 Nov 2003 10:14:36 -0500

debianutils (2.6) unstable; urgency=medium

  * Replace the Replaces on manpages-fr, per Denis Barbier.
    closes: #208272.
  * Update mktemp and manpage from mktemp.org.
    (This adds -V option to print version).
  * mktemp.1: change examples and text to reflect behavior
    of GNU libc (exactly the last 6 X's are used from template).
    closes: #211467.
  * mktemp.c: change default to have only 6 X's.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Oct 2003 09:54:54 -0400

debianutils (2.5.5) unstable; urgency=low

  * Change Conflict on manpages-fr to (<= 0.9.3-1) and
    remove Replaces, per Denis Barbier.  closes: #208272.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Sep 2003 20:08:23 -0400

debianutils (2.5.4) unstable; urgency=medium

  * mkboot: Use readlink -f instead of readlink.  closes: #197461.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Jun 2003 21:46:18 -0400

debianutils (2.5.3) unstable; urgency=high

  * mkboot: Check for existence of grub binary instead of package.
    closes: #197243.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Jun 2003 00:10:19 -0400

debianutils (2.5.2) unstable; urgency=medium

  * debian/postrm: fix cosmetic bug.  closes: #192084.

 -- Clint Adams <schizo@debian.org>  Thu, 15 May 2003 20:21:54 -0400

debianutils (2.5.1) unstable; urgency=medium

  * debian/postinst: fix cosmetic bug.  closes: #192084.
  * Conflict with manpages-fr (<< 0.9.3-1).  closes: #193113.

 -- Clint Adams <schizo@debian.org>  Sat, 10 May 2003 10:54:03 -0400

debianutils (2.5.0) unstable; urgency=medium

  * fr/savelog.8: French manpage update from Julien Louis.
  * install text/html mailcap entry for sensible-browser.  closes: #188764.

 -- Clint Adams <schizo@debian.org>  Wed, 23 Apr 2003 21:46:09 -0400

debianutils (2.4.2) unstable; urgency=medium

  * savelog.8: fix rotation semantics.  closes: #188390.

 -- Clint Adams <schizo@debian.org>  Sat, 12 Apr 2003 11:37:34 -0400

debianutils (2.4.1) unstable; urgency=low

  * mkboot: Patch from Martin Orr to fix lilocheck/grubcheck breakage.
    closes: #184148.

 -- Clint Adams <schizo@debian.org>  Tue, 11 Mar 2003 00:46:01 -0500

debianutils (2.4) unstable; urgency=low

  * Drop readlink, which is now in coreutils.
  * Pre-Depend on coreutils.
  * Replaces (French which manpage) manpages-fr (<< 0.9.3-1),
    since it is unclear from manpages-fr's changelog when which
    was dropped.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Mar 2003 14:17:14 -0500

debianutils (2.3.1) unstable; urgency=low

  * run-parts.8: add --lsbsysinit to synopsis section, and move it higher in
    the options section.  closes: #181526.
  * run-parts.c: add --lsbsysinit to --help.

 -- Clint Adams <schizo@debian.org>  Tue, 18 Feb 2003 21:25:18 -0500

debianutils (2.3) unstable; urgency=low

  * run-parts.c, run-parts.8: Michael Weber's patch to add --exit-on-error.
    closes: #84960.

 -- Clint Adams <schizo@debian.org>  Tue, 18 Feb 2003 19:54:48 -0500

debianutils (2.2.6) unstable; urgency=low

  * Revert alternatives management of which.

 -- Clint Adams <schizo@debian.org>  Mon, 17 Feb 2003 09:33:15 -0500

debianutils (2.2.5) unstable; urgency=low

  * mkboot: Andrew T. Young's patch to construct a more appropriate
    lilo.conf for the boot floppy.  closes: #179827.
  * mkboot: remove extraneous shift when -i is used. closes: #181105.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Feb 2003 13:22:38 -0500

debianutils (2.2.4) unstable; urgency=low

  * Actually gzip French which.1.

 -- Clint Adams <schizo@debian.org>  Wed, 12 Feb 2003 13:39:52 -0500

debianutils (2.2.3) unstable; urgency=low

  * fr/which.1: French manpage for which by Laëtitia Groslong
    <lgr@tartine.org>, submitted by Julien Louis.  closes: #180263. 

 -- Clint Adams <schizo@debian.org>  Sat,  8 Feb 2003 17:09:44 -0500

debianutils (2.2.2) unstable; urgency=low

  * mkboot.8: change "/boot/vmlinuz" to "/vmlinuz".  closes: #180044.

 -- Clint Adams <schizo@debian.org>  Fri,  7 Feb 2003 15:34:45 -0500

debianutils (2.2.1) unstable; urgency=low

  * run-parts.8: change DESCRIPTION to Thomas Hood's rewrite.
    closes: #179456.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Feb 2003 10:17:43 -0500

debianutils (2.2) unstable; urgency=low

  * run-parts.c, run-parts.8: add --lsbsysinit option, and revert default
    valid namespace to historical behavior.  closes: #178859, #176695.

 -- Clint Adams <schizo@debian.org>  Thu, 30 Jan 2003 12:29:21 -0500

debianutils (2.1.8) unstable; urgency=low

  * run-parts.8: clarify valid namespaces.  closes: #177302. 

 -- Clint Adams <schizo@debian.org>  Thu, 30 Jan 2003 11:09:20 -0500

debianutils (2.1.7) unstable; urgency=low

  * Ship postinst and prerm again. 

 -- Clint Adams <schizo@debian.org>  Thu, 30 Jan 2003 10:00:02 -0500

debianutils (2.1.6) unstable; urgency=low

  * Install which as which.debianutils and put under alternatives,


=== debian/control ===
Source: debianutils
Section: base
Priority: required
Maintainer: Clint Adams <schizo@debian.org>
Standards-Version: 3.6.1

Package: debianutils
Architecture: any
Pre-Depends: ${shlibs:Depends}, coreutils (>= 4.5.8-1)
Section: base
Essential: yes
Replaces: miscutils, cron (<=3.0pl1-31), tetex-bin (<< 1.0.6-1.1), manpages-fr (<= 0.9.3-1)
Conflicts: manpages-fr (<= 0.9.3-1)
Description: Miscellaneous utilities specific to Debian
 This package provides a number of small utilities which are used
 primarily by the installation scripts of Debian packages, although
 you may use them directly.
 .
 The specific utilities included are: installkernel mkboot mktemp
 run-parts savelog sensible-browser sensible-editor sensible-pager
 tempfile which.

=== debian/rules ===
#! /usr/bin/make -f

package = debianutils

CFLAGS = -Wall -g
INSTALL = install
INSTALL_FILE    = $(INSTALL) -p    -o root -g root  -m  644
INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
          
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
INSTALL_PROGRAM += -s
endif

build:
	$(checkdir)
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr \
		                       --mandir=/usr/share/man
	$(MAKE)

clean:
	$(checkdir)
	-$(MAKE) clean
	$(RM) -r debian/tmp* debian/files* debian/substvars debianutils*
	find . -name '*~' -print0 | xargs -0 rm -f

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	$(INSTALL_DIR) debian/tmp/DEBIAN \
		       debian/tmp/bin \
		       debian/tmp/sbin \
		       debian/tmp/usr/bin \
		       debian/tmp/usr/sbin \
		       debian/tmp/usr/share/man/man1 \
		       debian/tmp/usr/share/man/man8 \
		       debian/tmp/usr/share/man/fr/man8 \
		       debian/tmp/usr/lib/mime/packages \
		       debian/tmp/usr/share/doc/$(package)
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp INSTALL_PROGRAM="$(INSTALL_PROGRAM)"
	mv debian/tmp/usr/bin/run-parts \
	   debian/tmp/usr/bin/tempfile \
	   debian/tmp/usr/bin/mktemp debian/tmp/bin/
	mv debian/tmp/usr/sbin/installkernel debian/tmp/sbin/
	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-pager.1.gz
	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-browser.1.gz
	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/$(package)
	find debian/tmp/usr/share/man/man[18] \
             debian/tmp/usr/share/doc/$(package) -type f | xargs gzip -9
	gzip -9f debian/tmp/usr/share/man/fr/man1/which.1 \
	         debian/tmp/usr/share/man/fr/man8/savelog.8
	$(INSTALL_FILE) debian/copyright debian/tmp/usr/share/doc/$(package)
	$(INSTALL_SCRIPT) debian/preinst debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/prerm debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/postinst debian/tmp/DEBIAN/
	$(INSTALL_SCRIPT) debian/postrm debian/tmp/DEBIAN/
	$(INSTALL_FILE) debian/mime debian/tmp/usr/lib/mime/packages/debianutils
	dpkg-shlibdeps run-parts tempfile mktemp
	dpkg-gencontrol -isp
	dpkg --build debian/tmp ..

define checkdir
	test -f run-parts.c && test -f debian/rules
endef

binary:	binary-indep binary-arch

checkroot:
	$(checkdir)
	test 0 = `id -u`

.PHONY: binary binary-arch binary-indep clean checkroot build

# Local Variables:
# mode:Makefile
# End:

## debianutils 2.8

=== debian/changelog ===
debianutils (2.8) unstable; urgency=medium

  * run-parts.c: run scripts in different process groups.  closes: #226229.
  * sensible-editor.1: fix "sendible" typo.  closes: #239520.

 -- Clint Adams <schizo@debian.org>  Wed, 24 Mar 2004 15:13:26 -0500

debianutils (2.7.5) unstable; urgency=low

  * mktemp.1: add tempfile(1) to SEE ALSO.  v. #227261.
  * tempfile.1: add mktemp(1) to SEE ALSO.  v. #227261.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Mar 2004 10:06:18 -0500

debianutils (2.7.4-0.1) unstable; urgency=low

  * NMU.
  * run-parts.c: allows symbolic links and reports broken ones now.
    Thanks to Gustavo Noronha Silva for the patch (closes: #238816).

 -- Sebastian Muszynski <do2ksm@linkt.de>  Sat, 20 Mar 2004 11:30:03 +0100

debianutils (2.7.4) unstable; urgency=low

  * run-parts.c: skip all files that can't be statted unless
    --exit-on-error is set.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Mar 2004 23:28:57 -0500

debianutils (2.7.3) unstable; urgency=medium

  * run-parts.c: do not abort on broken symlinks without
    --exit-on-error.  closes: #205646.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Mar 2004 20:43:59 -0500

debianutils (2.7.2) unstable; urgency=medium

  * mkboot: fix for determining root partition, thanks to
    Matthew Foulkes.  closes: #235436.
  * mkboot.8: point out that mkboot requires rdev.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Feb 2004 09:58:37 -0500

debianutils (2.7.1) unstable; urgency=medium

  * mkboot.8: correct spelling of "synopsis".
  * mkboot.8: point out that the only sort of boot disk
    currently handled is a floppy.  closes: #208879.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Feb 2004 10:33:48 -0500

## debianutils 2.8.3

=== debian/changelog ===
debianutils (2.8.3) unstable; urgency=low

  * Apply patch from Robert Millan to not ship installkernel and
    mkboot on non-linux platforms.  closes: #254478.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jun 2004 21:18:51 -0400

debianutils (2.8.2) unstable; urgency=low

  * run-parts.8: clarify DESCRIPTION.  closes: #248149.

 -- Clint Adams <schizo@debian.org>  Sun,  9 May 2004 12:50:12 -0400

debianutils (2.8.1) unstable; urgency=medium

  * installkernel: stop trying to use a variable that was never set.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Mar 2004 22:53:42 -0500

## debianutils 2.8.4

=== debian/changelog ===
debianutils (2.8.4) unstable; urgency=low

  * which.1: document exit status meanings.  closes: #259035.

 -- Clint Adams <schizo@debian.org>  Mon, 12 Jul 2004 16:15:09 -0400

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,8 @@
 INSTALL_PROGRAM = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
+
+DEB_BUILD_GNU_SYSTEM ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)
           
 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
@@ -50,7 +52,14 @@
 	mv debian/tmp/usr/bin/run-parts \
 	   debian/tmp/usr/bin/tempfile \
 	   debian/tmp/usr/bin/mktemp debian/tmp/bin/
+ifeq ($(DEB_BUILD_GNU_SYSTEM),linux)
 	mv debian/tmp/usr/sbin/installkernel debian/tmp/sbin/
+else
+	rm debian/tmp/usr/sbin/installkernel \
+	   debian/tmp/usr/sbin/mkboot \
+	   debian/tmp/usr/share/man/man8/installkernel.8 \
+	   debian/tmp/usr/share/man/man8/mkboot.8
+endif
 	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-pager.1.gz
 	ln -s sensible-editor.1.gz debian/tmp/usr/share/man/man1/sensible-browser.1.gz
 	$(INSTALL_FILE) debian/changelog debian/tmp/usr/share/doc/$(package)
